CobolManagedConnectionFactory (Micro Focus COBOL Connector Class Library)
Keywords: com.microfocus.cobol.connector.spi.CobolManagedConnectionFactory class

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.microfocus.cobol.connector.spi
Class CobolManagedConnectionFactory

    java.lang.Object
      com.microfocus.cobol.connector.spi.CobolResourceAdapter
          com.microfocus.cobol.connector.spi.CobolManagedConnectionFactory

All Implemented Interfaces:
  ManagedConnectionFactory, ResourceAdapter, Serializable

public class CobolManagedConnectionFactory
extends CobolResourceAdapter
implements ManagedConnectionFactory, ResourceAdapter, Serializable

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.microfocus.cobol.connector.spi.CobolResourceAdapter
`logHost, logPort, serverHost, serverPort, trace`

Constructor Summary
`CobolManagedConnectionFactory()`

Method Summary
`Object` | `createConnectionFactory()`
`Object` | `createConnectionFactory(ConnectionManager cxManager)`
`ManagedConnection` | `createManagedConnection(Subject subject, ConnectionRequestInfo info)`
`boolean` | `equals(Object obj)`
`PrintWriter` | `getLogWriter()`
`ResourceAdapter` | `getResourceAdapter()`
`int` | `hashCode()`
`ManagedConnection` | `matchManagedConnections(Set connectionSet, Subject subject, ConnectionRequestInfo info)`
`void` | `setLogWriter(PrintWriter out)`
`void` | `setResourceAdapter(ResourceAdapter ra)`

Methods inherited from class com.microfocus.cobol.connector.spi.CobolResourceAdapter
`endpointActivation, endpointDeactivation, getLogHost, getLogPort, getServerHost, getServerPort, getTrace, getXAResources, setLogHost, setLogPort, setServerHost, setServerPort, setTrace, start, stop`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.resource.spi.ResourceAdapter
`endpointActivation, endpointDeactivation, getXAResources, start, stop`

Constructor Detail

### CobolManagedConnectionFactory

    public CobolManagedConnectionFactory()

Method Detail

### setResourceAdapter

    public void setResourceAdapter(ResourceAdapter ra)
                            throws ResourceException

  Throws:
    `ResourceException`

### getResourceAdapter

    public ResourceAdapter getResourceAdapter()

### createConnectionFactory

    public Object createConnectionFactory(ConnectionManager cxManager)
                                   throws ResourceException

  Specified by:
    `createConnectionFactory` in interface `ManagedConnectionFactory`
  Throws:
    `ResourceException`

### createConnectionFactory

    public Object createConnectionFactory()
                                   throws ResourceException

  Specified by:
    `createConnectionFactory` in interface `ManagedConnectionFactory`
  Throws:
    `ResourceException`

### createManagedConnection

    public ManagedConnection createManagedConnection(Subject subject,
                                                     ConnectionRequestInfo info)
                                              throws ResourceException

  Specified by:
    `createManagedConnection` in interface `ManagedConnectionFactory`
  Throws:
    `ResourceException`

### matchManagedConnections

    public ManagedConnection matchManagedConnections(Set connectionSet,
                                                     Subject subject,
                                                     ConnectionRequestInfo info)
                                              throws ResourceException

  Specified by:
    `matchManagedConnections` in interface `ManagedConnectionFactory`
  Throws:
    `ResourceException`

### setLogWriter

    public void setLogWriter(PrintWriter out)
                      throws ResourceException

  Specified by:
    `setLogWriter` in interface `ManagedConnectionFactory`
  Throws:
    `ResourceException`

### getLogWriter

    public PrintWriter getLogWriter()
                             throws ResourceException

  Specified by:
    `getLogWriter` in interface `ManagedConnectionFactory`
  Throws:
    `ResourceException`

### equals

    public boolean equals(Object obj)

  Specified by:
    `equals` in interface `ManagedConnectionFactory`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `ManagedConnectionFactory`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Micro Focus International Limited. All rights reserved.
This document and the proprietary marks and names used herein are protected by international law.